org.appng.core.xml.repository

## Class Certification

- java.lang.Object
- - org.appng.core.xml.repository.Certification

-     public class Certification
      extends Object

  Java class for certification complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="certification">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="index" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="cert" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="signature" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `cert`
    `protected byte[]` | `index`
    `protected byte[]` | `signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Certification()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCert()` Gets the value of the cert property.
    `byte[]` | `getIndex()` Gets the value of the index property.
    `byte[]` | `getSignature()` Gets the value of the signature property.
    `void` | `setCert(byte[] value)` Sets the value of the cert property.
    `void` | `setIndex(byte[] value)` Sets the value of the index property.
    `void` | `setSignature(byte[] value)` Sets the value of the signature property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### index

          protected byte[] index

    - #### cert

          protected byte[] cert

    - #### signature

          protected byte[] signature

  - ### Constructor Detail

    - #### Certification

          public Certification()

  - ### Method Detail

    - #### getIndex

          public byte[] getIndex()

      Gets the value of the index property.
      Returns:
        possible object is byte[]

    - #### setIndex

          public void setIndex(byte[] value)

      Sets the value of the index property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getCert

          public byte[] getCert()

      Gets the value of the cert property.
      Returns:
        possible object is byte[]

    - #### setCert

          public void setCert(byte[] value)

      Sets the value of the cert property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getSignature

          public byte[] getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is byte[]

    - #### setSignature

          public void setSignature(byte[] value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is byte[]

Copyright © 2011–2023 aiticon GmbH. All rights reserved.